Package org.eclipse.spi.net4j

# Interface InternalConnector

All Superinterfaces:
  `org.eclipse.net4j.util.collection.Closeable`, `IBufferProvider`, `IChannelMultiplexer`, `IConnector`, `org.eclipse.net4j.util.container.IContainer<IChannel>`, `ILocationAware`, `org.eclipse.net4j.util.security.INegotiatorAware`, `org.eclipse.net4j.util.event.INotifier`, `InternalChannelMultiplexer`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `ITransportConfigAware`, `org.eclipse.net4j.util.security.IUserAware`

All Known Implementing Classes:
  `Connector`

public interface InternalConnector extends IConnector, org.eclipse.net4j.util.security.INegotiatorAware, InternalChannelMultiplexer
If the meaning of this type isn't clear, there really should be more of a description here...

Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`IBufferProvider.Introspection, IBufferProvider.Notification`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

`ILocationAware.Location`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.spi.net4j.InternalChannelMultiplexer

`InternalChannelMultiplexer.BufferMultiplexer`

## Field Summary

### Fields inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

`DEFAULT_OPEN_CHANNEL_TIMEOUT, NO_CHANNEL_TIMEOUT`

### Fields inherited from interface org.eclipse.net4j.connector.IConnector

`NO_TIMEOUT`

### Fields inherited from interface org.eclipse.spi.net4j.InternalChannelMultiplexer

`CONTEXT_MULTIPLEXER, RESERVED_CHANNEL`

## Method Summary

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.net4j.buffer.IBufferProvider

`getBufferCapacity, provideBuffer, retainBuffer`

### Methods inherited from interface org.eclipse.net4j.channel.IChannelMultiplexer

`getChannels, getOpenChannelTimeout, openChannel, openChannel, openChannel, setOpenChannelTimeout`

### Methods inherited from interface org.eclipse.net4j.connector.IConnector

`connect, connect, connectAsync, getState, getURL, isConnected, waitForConnection`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.ILocationAware

`getLocation, isClient, isServer`

### Methods inherited from interface org.eclipse.net4j.util.security.INegotiatorAware

`getNegotiator, setNegotiator`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.spi.net4j.InternalChannelMultiplexer

`closeChannel, multiplexChannel, needsBufferProvider`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.net4j.ITransportConfigAware

`getConfig, setConfig`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`